<!--<?php
include_once PrintEot('left');
if (!$action) {
print <<<EOT
-->
<h3>提示信息</h3>
<div class="tr5">
1、可以根据自己论坛的定位来选择合适自己的论坛模式<br />
2、PHPWind7 内置了一个区域模式，会员也可自己开发新的模式来满足自己论坛的发展
</div>
<form action="$basename&" method="post">
	<input type="hidden" name="action" value="install">
	<h2>模式选择</h2>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3">
			<td width="12%">模式名称</td>
			<td width="60%">模式说明</td>
			<td width="19%">选择模式</td>
			<td width="19%">更新缓存</td>
		</tr>
		<tr class="tr3">
			<td>传统模式</td>
			<td>传统的社区</td>
			<td><input type="radio" name="mode" value='' $defalutchecked></td>
			<td> </td>
		</tr>
<!--
EOT;
foreach($modes as $mode){
if($mode[2]==1){
$adminadd="<a class=\"fourm-two\" title=\"更新模式缓存\" href=\"$basename&action=fourmtypecache\"><span class=\"update\"></span></a>";
$checked = 'checked="checked"';
}else{
$adminadd='';
$checked='';
}
print <<<EOT
-->
		<tr class="tr3">
			<td>$mode[0]</td>
			<td>$mode[1]</td>
			<td><input type="radio" name="mode" value="$mode[3]" $checked></td>
			<td align="center">$adminadd</td>
		</tr>
<!--
EOT;
}
print <<<EOT
-->
	</table>
	<br />
	<center><input type="submit" class="btn" value="提 交" /></center>
</form>
<!--
EOT;
}elseif($action='fourmtypeset'){
print <<<EOT
-->
<style type="text/css">
.tr3 .wid{width:40px;text-align:left;}
.open{background:url($imgpath/admin/setfourm/fourm.gif) 0 0 no-repeat;width:12px;height:12px;margin:6px 6px 6px 0;cursor:pointer}
.close{background:url($imgpath/admin/setfourm/fourm.gif) 0 -12px no-repeat;width:12px;height:12px;margin:6px 6px 6px 0;cursor:pointer}
.fourm{line-height:22px;margin-left:6px;}
.fourm span{float:left;background:url($imgpath/admin/setfourm/fourm-one.gif) 0 0 no-repeat;}
.fourm .fourm-one{background-position:left 0;width:40px;height:21px;}
.fourm .fourm-two{background-position:0 -21px;width:40px;height:21px;}
</style>
<h3>提示信息</h3>
<div class="tr5">
1、设置各个版块的版块展示形式<br />
2、某些类型涉及到版块的<font color="red">允许发表的主题类型</font>,需要具体修改此参数，可到<font color="red">版块管理</font>里面修改。
</div>
<form action="$basename&" method="post">
	<input type="hidden" name="action" value="fourmtypeset">
	<input type="hidden" name="step" value="2">
	<h3>版块模板类型设置</h3>
	<table width="100%" cellspacing="0" cellpadding="0" style="line-height:25px;">
		<tbody>
			<tr class="tr3">
				<td class="tal">版块</td>
				<td >模板展示类型</td>
			</tr>
<!--
EOT;
$i = 0;
foreach($threaddb as $thread){
if($thread){print <<<EOT
-->
<!--
EOT;
if($thread[type]=='category'){
$thiscatefid = $thread[fid];
$addclass = $i==0 ? 'class="close fl"' : 'class="open fl"';
print <<<EOT
-->
		</tbody>
		<tr class="tr3">
			<td class="tal"><span id="cate_$thiscatefid" onclick="showListFid('$thiscatefid')" $addclass></span> <span class="fl">$thread[name]</span></td>
			<td><input type="text" class="input" value="$thread[forumtype]" name="catedbs[$thiscatefid]"></td>
		</tr>
<!--
EOT;
}else{
$isspace = str_repeat($space,$thread['type'] == 'forum' ? 0 : ($thread['type'] == 'sub' ? 1 : 2));
print <<<EOT
-->

			<tr class="tr3">
				<td class="tal"><div class="fourm">$isspace<span class="fourm-one"></span>$thread[name]</div></td>
				<td>$thread[forumtype]</td>
			</tr>
<!--
EOT;
}if($thread[type]=='category'){
$style = $i ? "style=\"display:none\"" : "";
$i++;
print <<<EOT
-->
		<tbody id="type_$thread[fid]" $style>
<!--
EOT;
}print <<<EOT
-->

<!--
EOT;
}}print <<<EOT
-->
		</tbody>
	</table>
	<br />
	<center><input type="submit" class="btn" value="提 交" /></center>
</form>
<br />
<!--
EOT;
}
print <<<EOT
-->
</div>
<script language="javascript">
function showListFid(fid){
	if (getObj('type_'+fid)) {
		var showfid = getObj('type_'+fid);
		if (showfid.style.display == 'none') {
			showfid.style.display = '';
			getObj('cate_'+fid).className = 'close fl';
		} else {
			showfid.style.display = 'none';
			getObj('cate_'+fid).className = 'open fl';
		}
	}
}
</script>
<!--
EOT;
include_once PrintEot('adminbottom');
?>-->